<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_f"><span>f</span></a></li>
      <li><a href="#index_g"><span>g</span></a></li>
      <li><a href="#index_h"><span>h</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_k"><span>k</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_m"><span>m</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_r"><span>r</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_u"><span>u</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
      <li><a href="#index_w"><span>w</span></a></li>
      <li><a href="#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_a">- a -</a></h3><ul>
<li>A
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#ac3f3d4532a4e4b7c36aecf0cf3ef7b91">tiovx.enums.Channel</a>
</li>
<li>A15_0
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a65fcfd84dc52985ecf1118c4aaa9ac2f">tiovx.enums.Target</a>
</li>
<li>AREA
: <a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html#a5e9b5a7d727e90e35b143fbea04453c8">tiovx.enums.InterpolationType</a>
</li>
<li>ARRAY
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a2a5d08966738ac689e90e870f5bd0fda">tiovx.enums.Type</a>
</li>
</ul>


<h3><a class="anchor" id="index_b">- b -</a></h3><ul>
<li>B
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#af34c4e41f2f2d4ea8d938cc91e869a67">tiovx.enums.Channel</a>
</li>
<li>BIDIRECTIONAL
: <a class="el" href="classtiovx_1_1enums_1_1Direction.html#a5363bd65607b6971af99e08f28b798ab">tiovx.enums.Direction</a>
</li>
<li>BILINEAR
: <a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html#ad62a9907a65eb811663ea4e7285ca101">tiovx.enums.InterpolationType</a>
</li>
<li>BINARY
: <a class="el" href="classtiovx_1_1enums_1_1ThresholdType.html#a885854da100718b739343bcbed8196ec">tiovx.enums.ThresholdType</a>
</li>
<li>BOOL
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#adbf5278970870846d01402cb8fb984df">tiovx.enums.Type</a>
</li>
<li>BOX
: <a class="el" href="classtiovx_1_1enums_1_1Pattern.html#a5a45a01c86f070564e93fb104898a926">tiovx.enums.Pattern</a>
</li>
</ul>


<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
<li>C0
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#a19619b0bfdc176f9c9831af63551bf70">tiovx.enums.Channel</a>
</li>
<li>C1
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#a739869f4d0ed93856a69cd08a599459c">tiovx.enums.Channel</a>
</li>
<li>C2
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#aaff26e345f1cdb6c8ca56a6eb93de632">tiovx.enums.Channel</a>
</li>
<li>C3
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#aecf30d104ce52a334627d46bbefb5298">tiovx.enums.Channel</a>
</li>
<li>CHAR
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a6b92684205f0f5fbee3fc03960a446e6">tiovx.enums.Type</a>
</li>
<li>CONTEXT
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a23a9c7c3fac11160e4e692aa10320b2f">tiovx.enums.Type</a>
</li>
<li>CONVOLUTION
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a99bc3b30ab4d08cdec79fd8787f21bc4">tiovx.enums.Type</a>
</li>
<li>CROSS
: <a class="el" href="classtiovx_1_1enums_1_1Pattern.html#a92350e5f8ccb96efb4b752ec732c1fd9">tiovx.enums.Pattern</a>
</li>
</ul>


<h3><a class="anchor" id="index_d">- d -</a></h3><ul>
<li>DEFAULT
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a34a3e398570376dc48efac8225c87b91">tiovx.enums.Target</a>
</li>
<li>DELAY
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#af1dfd1c6b3dd4e1147900db35a86def5">tiovx.enums.Type</a>
</li>
<li>DF_IMAGE
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#afb0220753f0b54595c485d30754aca9b">tiovx.enums.Type</a>
</li>
<li>DISK
: <a class="el" href="classtiovx_1_1enums_1_1Pattern.html#aadc3f1a558fadbda78f09fe3ced2865b">tiovx.enums.Pattern</a>
</li>
<li>DISTRIBUTION
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a4359c2ffd86b57b6d9bd8479c3442f32">tiovx.enums.Type</a>
</li>
<li>DSP1
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a83a0acee183b124ce1cc32a89a8eeabd">tiovx.enums.Target</a>
</li>
<li>DSP2
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#ab4da7628b13af885931f43bc363f7643">tiovx.enums.Target</a>
</li>
</ul>


<h3><a class="anchor" id="index_e">- e -</a></h3><ul>
<li>ENUM
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#af2da5ed8c9ddab00fb26470da4f63ee2">tiovx.enums.Type</a>
</li>
<li>ERROR
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#adb2a1954764cdfd1de1ad96eb2262646">tiovx.enums.Type</a>
</li>
<li>EVE1
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a7e188fe30fd642e7a98d877f92f110af">tiovx.enums.Target</a>
</li>
<li>EVE2
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#af573670958c02db5b245b3d3101eab59">tiovx.enums.Target</a>
</li>
<li>EVE3
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a449b8f0dc3889255b0ac5b0207ca8f85">tiovx.enums.Target</a>
</li>
<li>EVE4
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#ae2788dcf3971a10f6bbea32760db8838">tiovx.enums.Target</a>
</li>
</ul>


<h3><a class="anchor" id="index_f">- f -</a></h3><ul>
<li>FALSE
: <a class="el" href="classtiovx_1_1enums_1_1Bool.html#ab5b5eccddef5e35237b7eae7610516c9">tiovx.enums.Bool</a>
</li>
<li>FLOAT32
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a4cdc0e1692e39ca0223d7f8677829a8e">tiovx.enums.Type</a>
</li>
<li>FLOAT64
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a3302a88c20f5aa76e3858b6e75f678b7">tiovx.enums.Type</a>
</li>
</ul>


<h3><a class="anchor" id="index_g">- g -</a></h3><ul>
<li>G
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#af54f363cb9e5fff9045194aef4af776e">tiovx.enums.Channel</a>
</li>
<li>GRAPH
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a4943f8ca41df81fd34d1d6aeb9eae187">tiovx.enums.Type</a>
</li>
</ul>


<h3><a class="anchor" id="index_h">- h -</a></h3><ul>
<li>HALF
: <a class="el" href="classtiovx_1_1enums_1_1PyramidScale.html#a24e8461a6343b536d9cfe3e6a07caa25">tiovx.enums.PyramidScale</a>
</li>
</ul>


<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
<li>IMAGE
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a954c506d6e2558a241dec702b059d848">tiovx.enums.Type</a>
</li>
<li>INPUT
: <a class="el" href="classtiovx_1_1enums_1_1Direction.html#ad53e728d00b47dbefb66d1383053f562">tiovx.enums.Direction</a>
</li>
<li>INT16
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a6aa4c817c8ae10e2194f746f7fd230c5">tiovx.enums.Type</a>
</li>
<li>INT32
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#ad6158ba7558aea91f690f4fc414b12c2">tiovx.enums.Type</a>
</li>
<li>INT64
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a6f9b2fa8771a27be0649be974be96b2e">tiovx.enums.Type</a>
</li>
<li>INT8
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a00ec565de7dc345fee2350f843f5a013">tiovx.enums.Type</a>
</li>
<li>INVALID
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#aaf3b2798187c31f3c8b737a2269a456d">tiovx.enums.DfImage</a>
, <a class="el" href="classtiovx_1_1enums_1_1Target.html#a1d4a4e0a112097ad68cc7a1ad4faaf73">tiovx.enums.Target</a>
, <a class="el" href="classtiovx_1_1enums_1_1Type.html#a1f887d56c1ca627004d2a4e8fe0354ad">tiovx.enums.Type</a>
</li>
<li>IPU1_0
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a79003e324fa5566c6346378c787c6345">tiovx.enums.Target</a>
</li>
<li>IPU1_1
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a4d1d8dd5928687b38b9f203364109bd3">tiovx.enums.Target</a>
</li>
<li>IPU2
: <a class="el" href="classtiovx_1_1enums_1_1Target.html#a5c7ebd99e2a7ebddd0849557df24b78f">tiovx.enums.Target</a>
</li>
<li>IYUV
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a73e456b04ba18955ebde18cac047bf1a">tiovx.enums.DfImage</a>
</li>
</ul>


<h3><a class="anchor" id="index_k">- k -</a></h3><ul>
<li>KERNEL
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a00d6f87244a01c57ae5912db3ef0d643">tiovx.enums.Type</a>
</li>
</ul>


<h3><a class="anchor" id="index_l">- l -</a></h3><ul>
<li>L1
: <a class="el" href="classtiovx_1_1enums_1_1Norm.html#ae1beefffc433bcc084baa53345acec13">tiovx.enums.Norm</a>
</li>
<li>L2
: <a class="el" href="classtiovx_1_1enums_1_1Norm.html#a96107acb06a56cb69a6ebcab803d6d17">tiovx.enums.Norm</a>
</li>
<li>LUT
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#aca215722251edd7112b327405171b37c">tiovx.enums.Type</a>
</li>
</ul>


<h3><a class="anchor" id="index_m">- m -</a></h3><ul>
<li>MATRIX
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#ace57c5e7fb8a1f73fcabed34e91ca15c">tiovx.enums.Type</a>
</li>
<li>MAX
: <a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html#ae14adf51c1dc62b787e983dc4540f74b">tiovx.enums.NonLinearFilter</a>
</li>
<li>MEDIAN
: <a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html#ad23b53cff3c057aa44fc832bade4cb8d">tiovx.enums.NonLinearFilter</a>
</li>
<li>META_FORMAT
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a9ef45fef342ce35170fda23ae5f6990f">tiovx.enums.Type</a>
</li>
<li>MIN
: <a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html#a4bb9868367333b72c5b608a403843b27">tiovx.enums.NonLinearFilter</a>
</li>
</ul>


<h3><a class="anchor" id="index_n">- n -</a></h3><ul>
<li>NEAREST_NEIGHBOR
: <a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html#a9c4f610d70bc03818ab35787d0244f20">tiovx.enums.InterpolationType</a>
</li>
<li>NODE
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a055bcae9a02cdf65af0afb0ccd376365">tiovx.enums.Type</a>
</li>
<li>NV12
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a0ee97608f03337f4df831fa7f419150f">tiovx.enums.DfImage</a>
</li>
<li>NV21
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a1aa2632124449f23f89a05465c9f3340">tiovx.enums.DfImage</a>
</li>
</ul>


<h3><a class="anchor" id="index_o">- o -</a></h3><ul>
<li>OBJECT_ARRAY
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#ad9ea74d893bae0bfb7557b803c8272be">tiovx.enums.Type</a>
</li>
<li>OPTIONAL
: <a class="el" href="classtiovx_1_1enums_1_1ParamState.html#ae55f9d14956a0a1509c4d46d7edc6920">tiovx.enums.ParamState</a>
</li>
<li>ORB
: <a class="el" href="classtiovx_1_1enums_1_1PyramidScale.html#a5a10fbe10217b6fd656d1cd2772cd50d">tiovx.enums.PyramidScale</a>
</li>
<li>OTHER
: <a class="el" href="classtiovx_1_1enums_1_1Pattern.html#ad0f91cd50735f5ec7984c946806c94b9">tiovx.enums.Pattern</a>
</li>
<li>OUTPUT
: <a class="el" href="classtiovx_1_1enums_1_1Direction.html#a0e521eccc42586c46fe06ac431e4722d">tiovx.enums.Direction</a>
</li>
</ul>


<h3><a class="anchor" id="index_p">- p -</a></h3><ul>
<li>PARAMETER
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a7d0100c904bba273c0c20bf995b2ad76">tiovx.enums.Type</a>
</li>
<li>PYRAMID
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a742567c32a39d34e92a8594f3c997f88">tiovx.enums.Type</a>
</li>
</ul>


<h3><a class="anchor" id="index_r">- r -</a></h3><ul>
<li>R
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#a143bfee92a52b523d35a205abe580fe0">tiovx.enums.Channel</a>
</li>
<li>RANGE
: <a class="el" href="classtiovx_1_1enums_1_1ThresholdType.html#a6535cd8adf80f3055e88c2338918ba31">tiovx.enums.ThresholdType</a>
</li>
<li>REFERENCE
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a2148a03550e958659d9ddd46e8bd2438">tiovx.enums.Type</a>
</li>
<li>REMAP
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a4cd73ad88f099503398ef8ba0f8e0068">tiovx.enums.Type</a>
</li>
<li>REQUIRED
: <a class="el" href="classtiovx_1_1enums_1_1ParamState.html#a1e167444b336632ee139bb2e6e7a425a">tiovx.enums.ParamState</a>
</li>
<li>RGB
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a02f7d433e34c0a2d25ec6a1b152226d0">tiovx.enums.DfImage</a>
</li>
<li>RGBX
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a10d7bd0a860db9058565ae2ca60fb458">tiovx.enums.DfImage</a>
</li>
</ul>


<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>S16
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#ad07c3fdd9d6e376d0ce8ea6bd59035f9">tiovx.enums.DfImage</a>
</li>
<li>S32
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a1de172d2f4019a5ced814a92dee6b13c">tiovx.enums.DfImage</a>
</li>
<li>SATURATE
: <a class="el" href="classtiovx_1_1enums_1_1Policy.html#ac67e0278904f7d4136f80356259a3709">tiovx.enums.Policy</a>
</li>
<li>SCALAR
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a4bb6ecf283687ded39a01a3f45ede6c9">tiovx.enums.Type</a>
</li>
<li>SIZE
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a6933e27f77b79335a229a5d7ad213d8f">tiovx.enums.Type</a>
</li>
</ul>


<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>THRESHOLD
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a17012295953547d2804bd165e2fddc8b">tiovx.enums.Type</a>
</li>
<li>TRUE
: <a class="el" href="classtiovx_1_1enums_1_1Bool.html#abf678094ab15d41edab1bc9831cc5545">tiovx.enums.Bool</a>
</li>
</ul>


<h3><a class="anchor" id="index_u">- u -</a></h3><ul>
<li>U
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#a77e07c4f18eb6e23a765490603e40b82">tiovx.enums.Channel</a>
</li>
<li>U16
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a6be2847fbd71ac7097f9837a6279fc8d">tiovx.enums.DfImage</a>
</li>
<li>U32
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a0f1d6baf03f2b9288ee603ecab9d036e">tiovx.enums.DfImage</a>
</li>
<li>U8
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#abb1178f71dbd25afccbafc8cf79866ec">tiovx.enums.DfImage</a>
</li>
<li>UINT16
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a59516b5aaef85ee55e23519612a01d87">tiovx.enums.Type</a>
</li>
<li>UINT32
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#aeff62120ad564d6d1c84478074165c12">tiovx.enums.Type</a>
</li>
<li>UINT64
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a9ca4b249a84866fdc12a2de27951c5b3">tiovx.enums.Type</a>
</li>
<li>UINT8
: <a class="el" href="classtiovx_1_1enums_1_1Type.html#a209ef65d8932d6169aab66031fa8fd90">tiovx.enums.Type</a>
</li>
<li>UYVY
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a52bdf09a2714e7f2e034e5589d925ea5">tiovx.enums.DfImage</a>
</li>
</ul>


<h3><a class="anchor" id="index_v">- v -</a></h3><ul>
<li>V
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#a183afe629f4102fa829147f72a42401e">tiovx.enums.Channel</a>
</li>
<li>VIRT
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a6cbaedb5b9f6b4513e16790f2565747a">tiovx.enums.DfImage</a>
</li>
</ul>


<h3><a class="anchor" id="index_w">- w -</a></h3><ul>
<li>WRAP
: <a class="el" href="classtiovx_1_1enums_1_1Policy.html#a9049f42dba697fbf42f38e19f5b9b0ee">tiovx.enums.Policy</a>
</li>
</ul>


<h3><a class="anchor" id="index_y">- y -</a></h3><ul>
<li>Y
: <a class="el" href="classtiovx_1_1enums_1_1Channel.html#abd966368a15dac8e1555f88b018a3003">tiovx.enums.Channel</a>
</li>
<li>YUV4
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#aa82d0fec0af7dca8d2adfda02142728f">tiovx.enums.DfImage</a>
</li>
<li>YUYV
: <a class="el" href="classtiovx_1_1enums_1_1DfImage.html#a9bcf2aa75e49a39ba5bb7cc6c785bbeb">tiovx.enums.DfImage</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
